cmake_minimum_required(VERSION 2.6)

if(UNIX)
    add_definitions(-DLINUX)
endif(UNIX)

include_directories("../matrices"
                    "../comparator"
                    "../LexicalUnits")

subdirs(mpi_handler similarity WBST )

if(CORPUS_FOUND AND PoliqarpReader_FOUND)
	add_subdirectory(me_architect_columns)
	add_subdirectory(hal_architect)
	add_subdirectory(doc_term_architect)
endif(CORPUS_FOUND AND PoliqarpReader_FOUND)

